io.milvus.v2.service.vector

## Class VectorService

- java.lang.Object
- - io.milvus.v2.service.BaseService
  - - io.milvus.v2.service.vector.VectorService

-     public class VectorService
      extends BaseService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `CollectionService` | `collectionService`
    `IndexService` | `indexService`

    - ### Fields inherited from class io.milvus.v2.service.BaseService

      `convertUtils, dataUtils, rpcUtils, vectorUtils`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VectorService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeleteResp` | `delete(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, DeleteReq request)`
    `GetResp` | `get(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, GetReq request)`
    `SearchResp` | `hybridSearch(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, HybridSearchReq request)`
    `InsertResp` | `insert(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, InsertReq request)`
    `QueryResp` | `query(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, QueryReq request)`
    `QueryIterator` | `queryIterator(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, QueryIteratorReq request)`
    `SearchResp` | `search(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, SearchReq request)`
    `SearchIterator` | `searchIterator(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, SearchIteratorReq request)`
    `UpsertResp` | `upsert(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, UpsertReq request)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### collectionService

          public CollectionService collectionService

    - #### indexService

          public IndexService indexService

  - ### Constructor Detail

    - #### VectorService

          public VectorService()

  - ### Method Detail

    - #### insert

          public InsertResp insert(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                   InsertReq request)

    - #### upsert

          public UpsertResp upsert(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                   UpsertReq request)

    - #### query

          public QueryResp query(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                 QueryReq request)

    - #### search

          public SearchResp search(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                   SearchReq request)

    - #### hybridSearch

          public SearchResp hybridSearch(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                         HybridSearchReq request)

    - #### queryIterator

          public QueryIterator queryIterator(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                             QueryIteratorReq request)

    - #### searchIterator

          public SearchIterator searchIterator(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                               SearchIteratorReq request)

    - #### delete

          public DeleteResp delete(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                   DeleteReq request)

    - #### get

          public GetResp get(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                             GetReq request)